<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/
require_once("MandaCorreos/FuncionSendMail.php");
require_once("libs/funciones.php");
$usr=$_REQUEST['usr'];
$ParaEmail=$_REQUEST['email'];
$ParaNombre=$_REQUEST['nombre'];
if(file_exists("config.ini")){
	$vlineas = file("config.ini");
	foreach ($vlineas as $sLinea) {
		if(substr($sLinea,0,24) == "CUERPO_USUARIO_ACTIVADO="){
			$body=trim(str_replace("CUERPO_USUARIO_ACTIVADO=","",$sLinea));
		}else if(substr($sLinea,0,24) == "ASUNTO_USUARIO_ACTIVADO="){
			$SubjectMessage=trim(str_replace("ASUNTO_USUARIO_ACTIVADO=","",$sLinea));
		}else if(substr($sLinea,0,24) == "ASUNTO_USUARIO_ACTIVADO="){
			$SubjectMessage=trim(str_replace("ASUNTO_USUARIO_ACTIVADO=","",$sLinea));
		}else if(substr($sLinea,0,5) == "RFCS="){
			$_SESSION["RFCS"]=trim(substr($sLinea,5));
		}elseif(substr($sLinea,0,11) == "RFCS_LIGAS="){
			$_SESSION["RFCS_LIGAS"]=trim(substr($sLinea,11));
		}elseif(substr($sLinea,0,11) == "URL_PORTAL="){
			$_SESSION["URL_PORTAL"]=trim(substr($sLinea,11));
		}
	}
	
	$arrRFCS = explode(",",$_SESSION["RFCS"]);
	$arrLigas = explode(",",$_SESSION["RFCS_LIGAS"]);

	$liga="";
	for($i=0; $i < count($arrRFCS); $i++){
		if($_SESSION['RFC_RECEPTOR_PORTAL']==$arrRFCS[$i])
			{$liga=$arrLigas[$i]; break;}
	}
	//echo "Liga: ".$liga;exit;
	$SubjectMessage=str_replace("<<USERNAME>>",$usr,str_replace("<<NOMBRE>>",$nombre,str_replace("<<EMAIL>>",$email,$SubjectMessage)));
	$BodyHTMLFileMessage=str_replace("<<LIGA>>",$_SESSION["URL_PORTAL"].$liga,str_replace("<<EMAIL>>",$email,str_replace("<<NOMBRE>>",$nombre,str_replace("<<USERNAME>>",$usr,file_get_contents($body)))));
	$AdjuntoA="";
	$AdjuntoB="";
	$AdjuntoC="";
	$TIPO_CORREO = getINI("FUNCION_ENVIA_CORREO=","config.ini");
	$FROM = getINI("FROM_CORREO=","config.ini");
	if(strtoupper(trim($TIPO_CORREO)) == "MAIL"){
		mail($ParaEmail,$SubjectMessage,$BodyHTMLFileMessage,'From: '.$FROM);
	}else{
		SendMail($ParaEmail,$ParaNombre,$SubjectMessage,$BodyHTMLFileMessage,$AdjuntoA,$AdjuntoB,$AdjuntoC);
	}
}
?>